

package gov.va.med.hdr.ars.client.webservice;


import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the gov.va.med.cds.ars package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory
{

    private final static QName _IsAlive_QNAME = new QName( "http://webservice.client.ars.hdr.med.DNS   /", "isAlive" );
    private final static QName _IsAliveResponse_QNAME = new QName( "http://webservice.client.ars.hdr.med.DNS   /", "isAliveResponse" );
    private final static QName _ReadAggregateData_QNAME = new QName( "http://webservice.client.ars.hdr.med.DNS   /", "readAggregateData" );
    private final static QName _ReadAggregateDataResponse_QNAME = new QName( "http://webservice.client.ars.hdr.med.DNS   /", "readAggregateDataResponse" );


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: gov.va.med.cds.ars
     * 
     */
    public ObjectFactory( )
    {
    }


    /**
     * Create an instance of {@link IsAlive }
     * 
     */
    public IsAlive createIsAlive( )
    {
        return new IsAlive();
    }


    /**
     * Create an instance of {@link IsAliveResponse }
     * 
     */
    public IsAliveResponse createIsAliveResponse( )
    {
        return new IsAliveResponse();
    }


    /**
     * Create an instance of {@link ReadAggregateData }
     * 
     */
    public ReadAggregateData createReadAggregateData( )
    {
        return new ReadAggregateData();
    }


    /**
     * Create an instance of {@link ReadAggregateDataResponse }
     * 
     */
    public ReadAggregateDataResponse createReadAggregateDataResponse( )
    {
        return new ReadAggregateDataResponse();
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsAlive }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.ars.hdr.med.DNS   /", name = "isAlive" )
    public JAXBElement<IsAlive> createIsAlive( IsAlive value )
    {
        return new JAXBElement<IsAlive>( _IsAlive_QNAME, IsAlive.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsAliveResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.ars.hdr.med.DNS   /", name = "isAliveResponse" )
    public JAXBElement<IsAliveResponse> createIsAliveResponse( IsAliveResponse value )
    {
        return new JAXBElement<IsAliveResponse>( _IsAliveResponse_QNAME, IsAliveResponse.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadAggregateData }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.ars.hdr.med.DNS   /", name = "readAggregateData" )
    public JAXBElement<ReadAggregateData> createReadAggregateData( ReadAggregateData value )
    {
        return new JAXBElement<ReadAggregateData>( _ReadAggregateData_QNAME, ReadAggregateData.class, null, value );
    }


    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadAggregateDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl( namespace = "http://webservice.client.ars.hdr.med.DNS   /", name = "readAggregateDataResponse" )
    public JAXBElement<ReadAggregateDataResponse> createReadAggregateDataResponse( ReadAggregateDataResponse value )
    {
        return new JAXBElement<ReadAggregateDataResponse>( _ReadAggregateDataResponse_QNAME, ReadAggregateDataResponse.class, null, value );
    }

}
